/*
 * TableFromDatabase.java
 *
 * Created on February 18, 2007, 3:41 PM
 *
 *
 * By: Chace L. Prochazka
 */

package javaapplication3;

import java.awt.*;
import java.io.*;
import java.sql.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
 
public class TableFromDatabase extends JFrame
{ 
    public TableFromDatabase(String tableName)
    { setSize(900,300);
      setTitle(tableName + " Database");
      setLocationRelativeTo(null);
        Vector columnNames = new Vector();
        Vector data = new Vector();
 
        try
        {
            //  Connect to the Database

            String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
            String url = "jdbc:odbc:Driver={Microsoft Access Driver (*.mdb)};DBQ=C:/GCConcepts.mdb";
            String userid = "";
            String password = "";
 
            Class.forName( driver );
            Connection connection = DriverManager.getConnection( url, userid, password );
 
            //  Read data from a table
 
            String sql = "Select * from " + tableName;
            Statement stmt = connection.createStatement();
            ResultSet rs = stmt.executeQuery( sql );
            ResultSetMetaData md = rs.getMetaData();
            int columns = md.getColumnCount();
 
            //  Get column names
 
            for (int i = 1; i <= columns; i++)
            {
                columnNames.addElement( md.getColumnName(i) );
            }
 
            //  Get row data
 
            while (rs.next())
            {
                Vector row = new Vector(columns);
 
                for (int i = 1; i <= columns; i++)
                {
                    row.addElement( rs.getObject(i) );
                }
 
                data.addElement( row );
            }
 
            rs.close();
            stmt.close();
        }
        catch(Exception e)
        {
            //System.out.println( e );
        }
 
        //  Create table with database data
        JTable table = new JTable(data, columnNames);

        JScrollPane scrollPane = new JScrollPane( table );
        getContentPane().add( scrollPane );
 
        JPanel buttonPanel = new JPanel();
        
        getContentPane().add( buttonPanel, BorderLayout.SOUTH );
    }
 
    public static void main(String[] args)
    {
        
    }
}

