/*
 * showMemo.java
 *
 * Created on February 26, 2007, 6:01 PM
 *
 * By: Chace L. Prochazka
 */

package javaapplication3;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import java.awt.*;
import java.io.*;
import java.sql.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;


public class showMemo extends javax.swing.JFrame {
    
    public int GetEmpID(int contID) {
        int retVal = 0;
        
        try
        {
            //  Connect to the Database

            String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
            String url = "jdbc:odbc:Driver={Microsoft Access Driver (*.mdb)};DBQ=C:/GCConcepts.mdb";
            String userid = "";
            String password = "";
            
            
            Class.forName( driver );
            Connection connection = DriverManager.getConnection( url, userid, password );
 
            //  Read data from a table
            String sql = "SELECT EmpID FROM Contracts WHERE ID = " + contID;
            Statement stmt = connection.createStatement();
            ResultSet rs = stmt.executeQuery( sql );
 
            //  Get row data
            while (rs.next()) {
                    String tempVal = rs.getObject(1).toString();
                    retVal = Integer.valueOf(tempVal);
            }
            
            rs.close();
            stmt.close();
        }
        catch(Exception e)
        {
            //System.out.println( e );
        }
        
        return retVal;
}
  
    public int GetCompID(int contID) {
        int retVal = 0;
        
        try
        {
            //  Connect to the Database

            String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
            String url = "jdbc:odbc:Driver={Microsoft Access Driver (*.mdb)};DBQ=C:/GCConcepts.mdb";
            String userid = "";
            String password = "";
            
            
            Class.forName( driver );
            Connection connection = DriverManager.getConnection( url, userid, password );
 
            //  Read data from a table
            String sql = "SELECT CompID FROM Contracts WHERE ID = " + contID;
            Statement stmt = connection.createStatement();
            ResultSet rs = stmt.executeQuery( sql );
 
            //  Get row data
            while (rs.next()) {
                    String tempVal = rs.getObject(1).toString();
                    retVal = Integer.valueOf(tempVal);
            }
            
            rs.close();
            stmt.close();
        }
        catch(Exception e)
        {
            //System.out.println( e );
        }
        
        return retVal;
}
    
    public String GetAValue(int ID, String tableName, String columnName) {
        String retVal = "";
        
        try
        {
            //  Connect to the Database

            String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
            String url = "jdbc:odbc:Driver={Microsoft Access Driver (*.mdb)};DBQ=C:/GCConcepts.mdb";
            String userid = "";
            String password = "";
            
            
            Class.forName( driver );
            Connection connection = DriverManager.getConnection( url, userid, password );
 
            //  Read data from a table
            String sql = "SELECT " + columnName + " FROM " + tableName + " WHERE ID = " + ID;
            Statement stmt = connection.createStatement();
            ResultSet rs = stmt.executeQuery( sql );
 
            //  Get row data
            while (rs.next()) {
                    retVal = rs.getObject(1).toString();
            }
            
            rs.close();
            stmt.close();
        }
        catch(Exception e)
        {
            //System.out.println( e );
        }
        
        return retVal;
}
    
    /** Creates new form showMemo */
    public showMemo(int ID) {
        initComponents();
        setLocationRelativeTo(null);
        
        int empID = GetEmpID(ID);
        int compID = GetCompID(ID);
        
        lblContract.setText(String.valueOf(ID));
        lblStart.setText(GetAValue(ID, "Contracts", "StartDate"));
        lblEnd.setText(GetAValue(ID, "Contracts", "EndDate"));
        lblPay.setText(GetAValue(ID, "Contracts", "PayRate"));
        lblLocation.setText(GetAValue(ID, "Contracts", "City") + ", " + GetAValue(ID, "Contracts", "State"));
        
        lblClientName.setText(GetAValue(compID, "Company", "CompanyName"));
        lblClientAddress.setText(GetAValue(compID, "Company", "Address"));
        lblClientCity.setText(GetAValue(compID, "Company", "City"));
        lblClientState.setText(GetAValue(compID, "Company", "State"));
        lblClientPhone.setText(GetAValue(compID, "Company", "PhoneNumber"));
        lblClientEmail.setText(GetAValue(compID, "Company", "Email"));
        
        lblStaffName.setText(GetAValue(empID, "Employee", "FirstName") + " " + GetAValue(empID, "Employee", "MiddleInitial") + ". " + GetAValue(empID, "Employee", "LastName"));
        lblStaffAddress.setText(GetAValue(empID, "Employee", "Address"));
        lblStaffCity.setText(GetAValue(empID, "Employee", "City"));
        lblStaffState.setText(GetAValue(empID, "Employee", "State"));
        lblStaffPhone.setText(GetAValue(empID, "Employee", "PhoneNumber"));
        lblStaffEmail.setText(GetAValue(empID, "Employee", "Email"));
        lblStaffSoc.setText(GetAValue(empID, "Employee", "SocSecNum"));
        
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        lblContract = new javax.swing.JLabel();
        lblStart = new javax.swing.JLabel();
        lblEnd = new javax.swing.JLabel();
        lblPay = new javax.swing.JLabel();
        lblClientName = new javax.swing.JLabel();
        lblClientAddress = new javax.swing.JLabel();
        lblClientCity = new javax.swing.JLabel();
        lblClientState = new javax.swing.JLabel();
        lblClientPhone = new javax.swing.JLabel();
        lblClientEmail = new javax.swing.JLabel();
        lblStaffName = new javax.swing.JLabel();
        lblStaffAddress = new javax.swing.JLabel();
        lblStaffCity = new javax.swing.JLabel();
        lblStaffState = new javax.swing.JLabel();
        lblStaffPhone = new javax.swing.JLabel();
        lblStaffEmail = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        lblLocation = new javax.swing.JLabel();
        lblStaffSoc = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Memo Preview");
        setResizable(false);
        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Memo Preview:", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14), new java.awt.Color(0, 0, 0)));
        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel1.setText("Contract Number:");

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel2.setText("Client Informtion:");

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel3.setText("Staff Member Information:");

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel4.setText("Start Date:");

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel5.setText("End Date:");

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setText("Pay Rate:");

        lblContract.setText("sadfs");

        lblStart.setText("jLabel8");

        lblEnd.setText("jLabel9");

        lblPay.setText("jLabel10");

        lblClientName.setText("jLabel11");

        lblClientAddress.setText("jLabel12");

        lblClientCity.setText("jLabel13");

        lblClientState.setText("jLabel14");

        lblClientPhone.setText("jLabel15");

        lblClientEmail.setText("jLabel16");

        lblStaffName.setText("jLabel17");

        lblStaffAddress.setText("jLabel18");

        lblStaffCity.setText("jLabel19");

        lblStaffState.setText("jLabel20");

        lblStaffPhone.setText("jLabel21");

        lblStaffEmail.setText("jLabel22");

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel7.setText("Location:");

        lblLocation.setText("jLabel8");

        lblStaffSoc.setText("jLabel8");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel2)
                    .add(jLabel3)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel7)
                            .add(jLabel4)
                            .add(jLabel1)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jLabel6)
                                .add(jLabel5)))
                        .add(2, 2, 2)))
                .add(31, 31, 31)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblStaffAddress, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 202, Short.MAX_VALUE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(lblStaffEmail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 202, Short.MAX_VALUE)
                        .add(lblStaffPhone, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblStaffState, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblStaffCity, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientEmail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientPhone, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientState, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientCity, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientAddress, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblClientName, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblPay, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblEnd, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblStaffName, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblStart, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(lblContract, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                        .add(lblLocation)
                        .add(lblStaffSoc, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblContract)
                    .add(jLabel1))
                .add(20, 20, 20)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblStart)
                    .add(jLabel4))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblEnd)
                    .add(jLabel5))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblPay)
                    .add(jLabel6))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblLocation)
                    .add(jLabel7))
                .add(32, 32, 32)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblClientName)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblClientAddress)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblClientCity)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblClientState)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblClientPhone)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblClientEmail)
                .add(22, 22, 22)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblStaffName)
                    .add(jLabel3))
                .add(2, 2, 2)
                .add(lblStaffSoc)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblStaffAddress)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblStaffCity)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblStaffState)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblStaffPhone)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblStaffEmail)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jButton1.setText("Print...");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
            }
        });

        jButton2.setText("E-Mail");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(143, 143, 143)
                        .add(jButton1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButton2))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 409, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton1)
                    .add(jButton2))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
        
    }//GEN-LAST:event_jButton1MouseClicked
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblClientAddress;
    private javax.swing.JLabel lblClientCity;
    private javax.swing.JLabel lblClientEmail;
    private javax.swing.JLabel lblClientName;
    private javax.swing.JLabel lblClientPhone;
    private javax.swing.JLabel lblClientState;
    private javax.swing.JLabel lblContract;
    private javax.swing.JLabel lblEnd;
    private javax.swing.JLabel lblLocation;
    private javax.swing.JLabel lblPay;
    private javax.swing.JLabel lblStaffAddress;
    private javax.swing.JLabel lblStaffCity;
    private javax.swing.JLabel lblStaffEmail;
    private javax.swing.JLabel lblStaffName;
    private javax.swing.JLabel lblStaffPhone;
    private javax.swing.JLabel lblStaffSoc;
    private javax.swing.JLabel lblStaffState;
    private javax.swing.JLabel lblStart;
    // End of variables declaration//GEN-END:variables
    
}
